KoreanPartOfSpeechStopFilterFactory (Lucene 10.5.1 nori API)
Description: declaration: package: org.apache.lucene.analysis.ko, class: KoreanPartOfSpeechStopFilterFactory

Package org.apache.lucene.analysis.ko

# Class KoreanPartOfSpeechStopFilterFactory

java.lang.Object
org.apache.lucene.analysis.AbstractAnalysisFactory
org.apache.lucene.analysis.TokenFilterFactory
org.apache.lucene.analysis.ko.KoreanPartOfSpeechStopFilterFactory

public class KoreanPartOfSpeechStopFilterFactory extends TokenFilterFactory
Factory for `KoreanPartOfSpeechStopFilter`.

     <fieldType name="text_ko" class="solr.TextField">
        <analyzer>
          <tokenizer class="solr.KoreanTokenizerFactory"/>
          <filter class="solr.KoreanPartOfSpeechStopFilterFactory"
                  tags="E,J"/>
        </analyzer>
     </fieldType>

Supports the following attributes:

- tags: List of stop tags. if not specified, `KoreanPartOfSpeechStopFilter.DEFAULT_STOP_TAGS` is used.

Since:
  7.4.0
WARNING: This API is experimental and might change in incompatible ways in the next release.
SPI Name (case-insensitive: if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service).
  "koreanPartOfSpeechStop"

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME`
  SPI name

  ### Fields inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

  `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KoreanPartOfSpeechStopFilterFactory()`
  Default ctor for compatibility with SPI
  `KoreanPartOfSpeechStopFilterFactory(Map<String,String> args)`
  Creates a new KoreanPartOfSpeechStopFilterFactory

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TokenStream`
  `create(TokenStream stream)`

  ### Methods inherited from class org.apache.lucene.analysis.TokenFilterFactory

  `availableTokenFilters, findSPIName, forName, lookupClass, normalize, reloadTokenFilters`

  ### Methods inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

  `defaultCtorException, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final String NAME
    SPI name
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### KoreanPartOfSpeechStopFilterFactory

    public KoreanPartOfSpeechStopFilterFactory(Map<String,String> args)
    Creates a new KoreanPartOfSpeechStopFilterFactory

  - ### KoreanPartOfSpeechStopFilterFactory

    public KoreanPartOfSpeechStopFilterFactory()
    Default ctor for compatibility with SPI

- ## Method Details

  - ### create

    public TokenStream create(TokenStream stream)
    Specified by:
      `create` in class `TokenFilterFactory`